/// <reference types="node" />
import * as fs from 'fs';
import { BuilderContext } from '@angular-devkit/architect';
import { ExecutionTransformer } from '@angular-devkit/build-angular';
import { WebpackFactory, WebpackLoggingCallback } from '@angular-devkit/build-webpack';
import { json, virtualFs } from '@angular-devkit/core';
import { Observable } from 'rxjs';
import webpack = require('webpack');
import { BrowserBuilderSchema, ServerBuilderSchema, UdkBuilderOutput } from './ng-devkit';
import { BuildUdkSchema } from './schema';
export declare function buildUniversal(options: BuildUdkSchema, context: BuilderContext, transforms?: {
    logging?: WebpackLoggingCallback;
    webpackConfiguration?: ExecutionTransformer<webpack.Configuration>;
    webpackFactory?: WebpackFactory;
}): Observable<UdkBuilderOutput>;
export declare function buildUniversalConfig(options: BuildUdkSchema, context: BuilderContext, host: virtualFs.Host<fs.Stats>, supportDifferentialLoading: boolean, webpackConfigurationTransform?: ExecutionTransformer<webpack.Configuration>): Promise<{
    browserOptions: BrowserBuilderSchema;
    serverOptions: ServerBuilderSchema;
    config: webpack.Configuration[];
}>;
declare const _default: import("@angular-devkit/architect/src/internal").Builder<json.JsonObject & BuildUdkSchema>;
export default _default;
